File:  [NetBSD Developer Wiki] / wikisrc / pkgsrc / Attic / monitoring_package_versions.mdwn
Revision 1.3: download - view: text, annotated - select for diffs
Fri Apr 5 22:15:58 2019 UTC (2 years, 7 months ago) by sevan
Branches: MAIN
CVS tags: HEAD
Fix markup and link

A good method of knowing when you have out of date packages is to use the utility `lintpkgsrc`, which can be installed from `pkgtools/lintpkgsrc`. Once it is installed use it to check installed packages for newer available versions:

    lintpkgsrc -i
    Scan Makefiles: ................
    Version mismatch: 'dummy' 5.1 vs 5.2
    Version mismatch: 'other_package' 2.5a vs 2.5b

The results are simple: outdated-package-name currently-installed-version -vs- currently-supported-version

See also
[pkg_chk|pkg_comp_pkg_chk]

CVSweb for NetBSD wikisrc <wikimaster@NetBSD.org> software: FreeBSD-CVSweb